/* GIMP Plugin Preview Widget                                                 
 * Copyright (C) 2003 Ernst Lippe
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.           
 *                                                                            
 * This library is distributed in the hope that it will be useful,             
 * but WITHOUT ANY WARRANTY; without even the implied warranty of              
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU           
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Version $Id: gimppreviewprogressupdater.h,v 1.2 2003/06/11 11:09:13 el Exp $
 */
#ifndef __GIMPPREVIEWPROGRESSUPDATER_H_INCLUDED__

#include "gimppreview.h"

G_BEGIN_DECLS
/**
 * GimpPreviewProgressUpdater:
 * @to_preview: Is TRUE when the #GimpPreview progress bar is used.
 * When FALSE the standard GIMP progress bar is used.
 * @preview: The @GimpPreview.
 * @event_id: The @event_id that was sent with the #GimpPreviewEvent.
 *
 * Internal struct for the #GimpPreviewProgressUpdater.
 * You should not need to access its internal fields.
 **/
  typedef struct
{
  gboolean to_preview;
  GimpPreview *preview;
}
GimpPreviewProgressUpdater;


void gimp_preview_progress_updater_init_for_gimp (GimpPreviewProgressUpdater *
                                                  updater);
void
gimp_preview_progress_updater_init_for_preview (GimpPreviewProgressUpdater *
                                                updater,
                                                GimpPreview * preview);

gboolean
gimp_preview_progress_updater_set_fraction (GimpPreviewProgressUpdater *
                                            updater, gdouble fraction);


G_END_DECLS
#define __GIMPPREVIEWPROGRESSUPDATER_H_INCLUDED__
#endif
